Bug 172410 - databases/py-swift: missing net/py-netifaces run dependency
Summary: databases/py-swift: missing net/py-netifaces run dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-06 19:50 UTC by Mikolaj Golub
Modified: 2012-10-07 08:58 UTC (History)
0 users

See Also:


Attachments
file.diff (545 bytes, patch)
2012-10-06 19:50 UTC, Mikolaj Golub
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikolaj Golub freebsd_committer 2012-10-06 19:50:07 UTC
databases/py-swift misses net/py-netifaces dependency needed for swift-ring-builder.

Fix: Patch attached with submission follows:
How-To-Repeat: in138:/usr/local/etc/swift% sudo swift-ring-builder account.builder create 18 2 1
Traceback (most recent call last):
  File "/usr/local/bin/swift-ring-builder", line 5, in <module>
    pkg_resources.run_script('swift==1.4.6', 'swift-ring-builder')
  File "build/bdist.freebsd-9.0-STABLE-amd64/egg/pkg_resources.py", line 489, in run_script
  File "build/bdist.freebsd-9.0-STABLE-amd64/egg/pkg_resources.py", line 1207, in run_script
  File "/usr/local/lib/python2.6/site-packages/swift-1.4.6-py2.6.egg/EGG-INFO/scripts/swift-ring-builder", line 28, in <module>
    from swift.common.ring import RingBuilder
  File "/usr/local/lib/python2.6/site-packages/swift-1.4.6-py2.6.egg/swift/common/ring/__init__.py", line 1, in <module>
    from ring import RingData, Ring
  File "/usr/local/lib/python2.6/site-packages/swift-1.4.6-py2.6.egg/swift/common/ring/ring.py", line 21, in <module>
    from swift.common.utils import hash_path, validate_configuration
  File "/usr/local/lib/python2.6/site-packages/swift-1.4.6-py2.6.egg/swift/common/utils.py", line 45, in <module>
    import netifaces
ImportError: No module named netifaces
Comment 1 Edwin Groothuis freebsd_committer 2012-10-06 19:50:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-10-06 19:50:29 UTC
Maintainer of databases/py-swift,

Please note that PR ports/172410 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/172410

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-10-06 19:50:32 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2012-10-06 19:53:44 UTC
Responsible Changed
From-To: freebsd-python->rm

I will take it.
Comment 5 dfilter service freebsd_committer 2012-10-07 08:45:22 UTC
Author: rm
Date: Sun Oct  7 07:45:08 2012
New Revision: 305436
URL: http://svn.freebsd.org/changeset/ports/305436

Log:
  - add missing dependency on net/py-netifaces
  - bump PORTREVISION
  
  while here:
  - trim Makefile header
  - limit python version to 2.x only
  - tab -> space change in pkg-descr:WWW
  
  PR:		172410
  Submitted by:	trociny
  Approved by:	Gea-Suan Lin <gslin at gslin dot org> (maintainer)

Modified:
  head/databases/py-swift/Makefile
  head/databases/py-swift/pkg-descr

Modified: head/databases/py-swift/Makefile
==============================================================================
--- head/databases/py-swift/Makefile	Sun Oct  7 07:19:37 2012	(r305435)
+++ head/databases/py-swift/Makefile	Sun Oct  7 07:45:08 2012	(r305436)
@@ -1,12 +1,9 @@
-# New ports collection makefile for:	py-swift
-# Date created:		2010-07-22
-# Whom:			Gea-Suan Lin <gslin@gslin.org>
-#
+# Created by: Gea-Suan Lin <gslin@gslin.org>
 # $FreeBSD$
-#
 
 PORTNAME=	swift
 PORTVERSION=	1.4.6
+PORTREVISION=	1
 CATEGORIES=	databases python
 MASTER_SITES=	http://launchpadlibrarian.net/92556660/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -15,13 +12,14 @@ MAINTAINER=	gslin@gslin.org
 COMMENT=	Highly available, distributed, eventually consistent object/blob store
 
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}eventlet>=0.9.8:${PORTSDIR}/net/py-eventlet \
+		${PYTHON_PKGNAMEPREFIX}netifaces>0:${PORTSDIR}/net/py-netifaces \
 		${PYTHON_PKGNAMEPREFIX}simplejson>=0:${PORTSDIR}/devel/py-simplejson \
 		${PYTHON_PKGNAMEPREFIX}sqlite3>=0:${PORTSDIR}/databases/py-sqlite3 \
 		${PYTHON_PKGNAMEPREFIX}webob>=0.9.8:${PORTSDIR}/www/py-webob \
 		${PYTHON_PKGNAMEPREFIX}xattr>=0:${PORTSDIR}/devel/py-xattr \
 		rsync>=3.0:${PORTSDIR}/net/rsync
 
-USE_PYTHON=	2.6+
+USE_PYTHON=	-2.7
 USE_PYDISTUTILS=	easy_install
 
 post-install:

Modified: head/databases/py-swift/pkg-descr
==============================================================================
--- head/databases/py-swift/pkg-descr	Sun Oct  7 07:19:37 2012	(r305435)
+++ head/databases/py-swift/pkg-descr	Sun Oct  7 07:45:08 2012	(r305436)
@@ -1,4 +1,4 @@
 Swift is a highly available, distributed, eventually consistent
 object/blob store.
 
-WWW:	http://launchpad.net/swift
+WWW: http://launchpad.net/swift
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2012-10-07 08:58:07 UTC
State Changed
From-To: feedback->closed

Committed, thank you!